package main

import (
	"testing"
)

func TestTdlibLogInfo(t *testing.T) {
	tdlibConstant := stringToTdlibLogConstant(":info")
	if tdlibConstant != 3 {
		t.Errorf("Wrong TDlib constant for info")
	}
}

func TestTdlibLogInvalid(t *testing.T) {
	tdlibConstant := stringToTdlibLogConstant("ziz")
	if tdlibConstant != 0 {
		t.Errorf("Unknown strings should return fatal loglevel")
	}
}
